package libViewer;

import java.awt.*;
import java.net.*;

public class Details extends Frame {

    int YOFFSET = 30;
    int LABEL_WIDTH = 80;
    int FIELD_WIDTH = 200;


    Label title = new Label();
    Label Ltitle = new Label();
    Label creator = new Label();
    Label Lcreator = new Label();
    Label subject = new Label();
    Label Lsubject = new Label();
    Label Ldescription = new Label();
    TextArea description = new TextArea();
    Label publisher = new Label();
    Label Lpublisher = new Label();
    Label contributor = new Label();
    Label Lcontributor = new Label();
    Label date = new Label();
    Label Ldate = new Label();
    Label type = new Label();
    Label Ltype = new Label();
    Label format = new Label();
    Label Lformat = new Label();
    Label identifier = new Label();
    Label Lidentifier = new Label();
    Label source = new Label();
    Label Lsource = new Label();
    Label language = new Label();
    Label Llanguage = new Label();
    Label relation = new Label();
    Label Lrelation = new Label();
    Label coverage = new Label();
    Label Lcoverage = new Label();
    Label rights = new Label();
    Label Lrights = new Label();
    Label page_size = new Label();
    Label Lpage_size = new Label();
    Label byte_size = new Label();
    Label Lbyte_size = new Label();

    Button start = new Button();

  public Details() {

    this.setBackground(Color.lightGray);
    this.setLayout(null);

    this.add(title);
    title.reshape(10 + LABEL_WIDTH,YOFFSET,FIELD_WIDTH,20);
    this.add(Ltitle);
    Ltitle.reshape(10,YOFFSET,LABEL_WIDTH,20);
    Ltitle.setText("Title:");

    this.add(creator);
    creator.reshape(10 + LABEL_WIDTH,YOFFSET + 20,FIELD_WIDTH,20);
    this.add(Lcreator);
    Lcreator.reshape(10,YOFFSET + 20,LABEL_WIDTH,20);
    Lcreator.setText("Creator:");

    this.add(subject);
    subject.reshape(10 + LABEL_WIDTH,YOFFSET + 40,FIELD_WIDTH,20);
    this.add(Lsubject);
    Lsubject.reshape(10,YOFFSET + 40,LABEL_WIDTH,20);
    Lsubject.setText("Subject:");

    this.add(publisher);
    publisher.reshape(10 + LABEL_WIDTH,YOFFSET + 60,FIELD_WIDTH,20);
    this.add(Lpublisher);
    Lpublisher.reshape(10,YOFFSET + 60,LABEL_WIDTH,20);
    Lpublisher.setText("Publisher:");

    this.add(contributor);
    contributor.reshape(10 + LABEL_WIDTH,YOFFSET + 80,FIELD_WIDTH,20);
    this.add(Lcontributor);
    Lcontributor.reshape(10,YOFFSET + 80,LABEL_WIDTH,20);
    Lcontributor.setText("Contributor:");

    this.add(date);
    date.reshape(10 + LABEL_WIDTH,YOFFSET + 100,FIELD_WIDTH,20);
    this.add(Ldate);
    Ldate.reshape(10,YOFFSET + 100,LABEL_WIDTH,20);
    Ldate.setText("Date:");

    this.add(type);
    type.reshape(10 + LABEL_WIDTH,YOFFSET + 120,FIELD_WIDTH,20);
    this.add(Ltype);
    Ltype.reshape(10,YOFFSET + 120,LABEL_WIDTH,20);
    Ltype.setText("Type:");

    this.add(format);
    format.reshape(10 + LABEL_WIDTH,YOFFSET + 140,FIELD_WIDTH,20);
    this.add(Lformat);
    Lformat.reshape(10,YOFFSET + 140,LABEL_WIDTH,20);
    Lformat.setText("Format:");

    this.add(identifier);
    identifier.reshape(10 + LABEL_WIDTH,YOFFSET + 160,FIELD_WIDTH,20);
    this.add(Lidentifier);
    Lidentifier.reshape(10,YOFFSET + 160,LABEL_WIDTH,20);
    Lidentifier.setText("Identifier:");

    this.add(source);
    source.reshape(10 + LABEL_WIDTH,YOFFSET + 180,FIELD_WIDTH,20);
    this.add(Lsource);
    Lsource.reshape(10,YOFFSET + 180,LABEL_WIDTH,20);
    Lsource.setText("Source:");

    this.add(language);
    language.reshape(10 + LABEL_WIDTH,YOFFSET + 200,FIELD_WIDTH,20);
    this.add(Llanguage);
    Llanguage.reshape(10,YOFFSET + 200,LABEL_WIDTH,20);
    Llanguage.setText("Language:");

    this.add(relation);
    relation.reshape(10 + LABEL_WIDTH,YOFFSET + 220,FIELD_WIDTH,20);
    this.add(Lrelation);
    Lrelation.reshape(10,YOFFSET + 220,LABEL_WIDTH,20);
    Lrelation.setText("Relation:");

    this.add(coverage);
    coverage.reshape(10 + LABEL_WIDTH,YOFFSET + 240,FIELD_WIDTH,20);
    this.add(Lcoverage);
    Lcoverage.reshape(10,YOFFSET + 240,LABEL_WIDTH,20);
    Lcoverage.setText("Coverage:");

    this.add(rights);
    rights.reshape(10 + LABEL_WIDTH,YOFFSET + 260,FIELD_WIDTH,20);
    this.add(Lrights);
    Lrights.reshape(10,YOFFSET + 260,LABEL_WIDTH,20);
    Lrights.setText("Rights:");

    this.add(page_size);
    page_size.reshape(10 + LABEL_WIDTH,YOFFSET + 280,FIELD_WIDTH,20);
    this.add(Lpage_size);
    Lpage_size.reshape(10,YOFFSET + 280,LABEL_WIDTH,20);
    Lpage_size.setText("Size(Pages):");

    this.add(byte_size);
    byte_size.reshape(10 + LABEL_WIDTH,YOFFSET + 300,FIELD_WIDTH,20);
    this.add(Lbyte_size);
    Lbyte_size.reshape(10,YOFFSET + 300,LABEL_WIDTH,20);
    Lbyte_size.setText("Size(Bytes):");

    this.add(description);
    description.reshape(10 + LABEL_WIDTH,YOFFSET + 320,FIELD_WIDTH,60);
    this.add(Ldescription);
    Ldescription.reshape(10,YOFFSET + 320,140,20);
    Ldescription.setText("Description:");

    this.add(start);
    start.reshape(80,YOFFSET + 400,140,20);
    start.setLabel("start external viewer");

  }

  public boolean handleEvent(Event evt) {
        if (evt.target == start && evt.id == Event.ACTION_EVENT)
        {
            URL url = null;
            try { url = new URL(identifier.getText()); }
            catch (MalformedURLException e) {
              Main.StatusWindow.appendText("INFO: URL invalid!");
              return true;
              }
            // open new Blank Browser Window with the new URL
            Main.ac.showDocument(url, url.toString());
        }
     return true;
  }

}
