package libViewer;

import java.awt.*;

public class Map {

  static int x_dim;
  static int y_dim;
  int shelve_width;

  // Array for nodes
  static Node nodes[][];

  class Node {
     int number_elements = 0;
     boolean empty = true;
     boolean too_large = false;
     int start_element;
     ElementData elements [];
     String label;
     String descr;
     }

  public Map(ItemList itemlist, TextArea StatusWindow) {

    int i,j;

    x_dim = itemlist.labels.x_dim;
    y_dim = itemlist.labels.y_dim;

    /* init Node-Array */
    this.nodes = new Node[x_dim][y_dim];
    for (j = 0; j < y_dim; j++) {
       for (i = 0; i < x_dim; i++) {
           nodes[i][j] = new Node(); }}
                System.out.println("s3");
    /* count Elements per Node */
    for (i = 0; i < itemlist.number_items; i++) {
        int xpos = itemlist.items[i].xpos;
        int ypos = itemlist.items[i].ypos;
        //* wenn nicht im Netz -> wegwerfen!
        System.out.println(xpos +" "+ ypos);
        System.out.println(x_dim + " " + y_dim);

        if ((xpos < x_dim) && (ypos < y_dim)) {
            nodes[xpos][ypos].number_elements++;
           }
        }
                               System.out.println("s4");
    /* init Element-Array of all Nodes */
    for (j = 0; j < y_dim; j++) {
       for (i = 0; i < x_dim; i++) {
            if (this.nodes[i][j].number_elements != 0 ) {
               this.nodes[i][j].elements = new ElementData[this.nodes[i][j].number_elements];
               this.nodes[i][j].empty = false;
               }
       }
    }

    /* setup all Nodes with Item-Data */
    int index = 0;
    int x;
    for (j = 0; j < y_dim; j++) {
       for (i = 0; i < x_dim; i++) {
          for (x = 0; x < itemlist.number_items; x++) {
               if ((i == itemlist.items[x].xpos) && (j == itemlist.items[x].ypos)) {
                    nodes[i][j].elements[index] = itemlist.items[x];
                    index++;
               }

          }
          if (index != nodes[i][j].number_elements) System.out.println("Not all Items found! Class Map");
          //System.out.println("xpos: " + i + " ypos: " + j + " number items: " + index - 1);
          index = 0; // reset Index
       }
    }

    //* setup labels and descr
    for (j = 0; j < y_dim; j++) {
       for (i = 0; i < x_dim; i++) {
            nodes[i][j].label = itemlist.labels.labels[i][j];
            nodes[i][j].descr = itemlist.labels.descr[i][j];
            }
       }

}

public static int getmaxShelveWidth (int XSPACE, int zoom) {
  int maxwidth = 0;
  int width    = 0;
  int i,j,x;
  for (j = 0; j < y_dim; j++) {
       for (i = 0; i < x_dim; i++) {
          for (x = 0; x < nodes[i][j].number_elements; x++) {
               width = width + XSPACE;
               if (zoom == 1) width = width + nodes[i][j].elements[x].spine_width;
               if (zoom == 3) width = width + ((int) nodes[i][j].elements[x].spine_width / 3);
          }
          if (width > maxwidth) maxwidth = width;
          width = 0;
       }
   }
   return maxwidth;
}


} // end map