package libViewer;

import java.awt.*;

public class Settings {

  static String  CONTACT_PERSON = "{harry,andi}@ifs.tuwien.ac.at";

  static boolean DEBUG             = false;
  static boolean URL               = false;
  static boolean ERROR_DETAILS_ON  = false;
  static boolean MEM_WATCH_ON      = false;

  static int     ZOOM_START_OFFSET = 10;

  static int     TEMPLATE_WIDTH    = 30;
  static int     TEMPLATE_HEIGHT   = 30;

  static String  SERVER_PREFS_FILENAME = "ServerPrefs";

  static String  LOGOS_FILENAME = "logos";

  static int     LABEL_WIDTH       = 30;
  static int     LABEL_Y_SPACE     = 3;
  static int     BULGE_HEIGHT      = 5;
  static int     BULGE_FACTOR      = 10;

  static Color   DEFAULT_SURFACE_COLOR  = new Color (150,150,200);
  static Color   DEFAULT_SURFACE_COLOR2 = new Color (225,220,220);
  static Color   DEFAULT_SPINE_COLOR    = new Color (180,180,230);
  static boolean DRAW_SURFACE_COLOR2    = true;
  
  static int     DRAWAREA_HEIGHT = 500;
  static int     DRAWAREA_WIDTH  = 690;

  static String  FOLDER_TEMPLATE_FILENAME = "folder.gif";
  static String  AUDIO_TEMPLATE_FILENAME = "audio.gif";
  static String  VIDEO_TEMPLATE_FILENAME = "video.gif";
  static String  SUBLIBRARY_TEMPLATE_FILENAME = "sublib.gif";
  static String  SOFTWARE_TEMPLATE_FILENAME = "software.gif";
  static String  OTHER_TEMPLATE_FILENAME = "other.gif";
  static String  FINGER_LI_FILENAME = "finger_li.gif";
  static String  FINGER_RE_FILENAME = "finger_re.gif";
  static String  DUST1_FILENAME = "dust1.gif";
  static String  DUST2_FILENAME = "dust2.gif";
  static String  DUST3_FILENAME = "dust3.gif";
  static String  DUST4_FILENAME = "dust4.gif";
  static String  DUST5_FILENAME = "dust5.gif";
  static String  ALTAVISTALOGO_FILENAME = "avista.jpg";
  static String  WELTKUGEL_FILENAME = "network.gif";

  static int DETAIL_WIN_WIDTH  = 300;
  static int DETAIL_WIN_HEIGHT = 500;

  static int CONSOLE_WIN_WIDTH   = 400;
  static int CONSOLE_WIN_HEIGHT  = 200;

  static int WELLTHUMBED_VALUE = 50;
  static int HIGHLIGHTING_YEARS = 1;

  // Book Properties
  static int MIN_SPINE_WIDTH       = 30;
  static int MIN_NEWSPAPER_WIDTH   = 5;
  static int MIN_SPINE_HEIGHT      = 140;
  static int PAGE_FACTOR           = 50;
  static int BYTE_FACTOR           = 2000;
  static int NEWSPAPER_PAGE_FACTOR = 25;
  static int NEWSPAPER_BYTE_FACTOR = 1000;
  static int A4_HEIGHT             = 30;
  static int A5_HEIGHT             = 10;
  static int B4_HEIGHT             = 20;
  static int B5_HEIGHT             = 0;

}