package libViewer;

import java.awt.*;
import java.awt.image.*;

public class folder extends Book {

public folder (ElementData $elementdata) {

elementdata = $elementdata;
width  = $elementdata.spine_width;
height = $elementdata.spine_height;
Key = $elementdata.Key;

}
//------------------------------------------------------------------------------
// specific createTitleArea (overrides Method from Book)
//------------------------------------------------------------------------------
public void createTitleArea() {
// Image fr Text erzeugen
Image image = this.createImage(height-Settings.TEMPLATE_HEIGHT-12,30);

Graphics gr = image.getGraphics();

gr.setColor(elementdata.spine_color);
gr.fillRect(0,0,height-Settings.TEMPLATE_HEIGHT,Settings.LABEL_WIDTH);

gr.setColor(Color.white);
gr.fillRect(8,4,height-Settings.TEMPLATE_HEIGHT - 25,Settings.LABEL_WIDTH - 10);

gr.setColor(Color.black);
gr.drawRect(8,4,height-Settings.TEMPLATE_HEIGHT - 26,Settings.LABEL_WIDTH - 10);

gr.setColor(Color.black);
gr.drawString(elementdata.title,12,18);

gr.setColor(elementdata.spine_color);
gr.fillRect(height-Settings.TEMPLATE_HEIGHT-17,0,17,Settings.LABEL_WIDTH);

/*gr.setColor(elementdata.creator_color);
gr.drawString(elementdata.creator,0,26);*/

ImageFilter filter = new RotateFilter(90 * (Math.PI/180.0));

ImageProducer producer = new FilteredImageSource(image.getSource(),filter);

TitleArea = this.createImage(producer);
}

//------------------------------------------------------------------------------
// Draw Spine
//------------------------------------------------------------------------------
public void paint (Graphics g) {

  // 1. Farbe fr Buchrcken setzen
  g.setColor(elementdata.spine_color);

  // 2. Buchrcken zeichnen
  g.fillRect(0,0,width,height);

  if (Main.zoom_factor == 1) {

  // 3. Template fr Loch einfgen
  g.drawImage(Main.folder_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  // 4. Image fr Titel & Creator einfgen
  g.drawImage(TitleArea,(int)(width-Settings.TEMPLATE_WIDTH) / 2,8,this);

  // 5. Wenn flag wellthumbed gesetzt dann fge Images fuer "abgegriffen" ein
  if (elementdata.wellthumbed) DrawWellthumbed();

  // 6. Draw Dust-Level
  DrawDust (elementdata.dust_level);

  // 7. Draw Highlighting
  if (elementdata.highlighting) DrawHighlighting (elementdata.spine_color);

  }
}
//------------------------------------------------------------------------------

}
